      subroutine init_arrays (tile)      


      use Agrif_Util
#include "Param_BeforeCall_init_arrays.h"
      integer(4) :: tile
      

        call Sub_Loop_init_arrays(tile, Agrif_tabvars_i(8)%iarray0, Agri
     &f_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_init_arrays.h"
      subroutine init_arrays_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_init_arrays_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_init_arrays_tile(Istr,Iend,Jstr,Jend, Agrif_tabvar
     &s_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%i
     &array0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(273)%array2, Agr
     &if_tabvars(120)%array2, Agrif_tabvars(274)%array2, Agrif_tabvars_i
     &(244)%iarray2, Agrif_tabvars(119)%array3, Agrif_tabvars(118)%array
     &3, Agrif_tabvars(123)%array4, Agrif_tabvars(122)%array3, Agrif_tab
     &vars(124)%array3, Agrif_tabvars(126)%array3, Agrif_tabvars(127)%ar
     &ray3, Agrif_tabvars(128)%array3, Agrif_tabvars(129)%array3, Agrif_
     &tabvars(131)%array2, Agrif_tabvars(6)%array1, Agrif_tabvars(130)%a
     &rray3, Agrif_tabvars(133)%array2, Agrif_tabvars(5)%array1, Agrif_t
     &abvars(132)%array3, Agrif_tabvars(134)%array2, Agrif_tabvars(135)%
     &array2, Agrif_tabvars(136)%array2, Agrif_tabvars_r(20)%array0, Agr
     &if_tabvars(137)%array2, Agrif_tabvars(163)%array3, Agrif_tabvars(1
     &65)%array2, Agrif_tabvars(167)%array2, Agrif_tabvars(169)%array1, 
     &Agrif_tabvars(171)%array1, Agrif_tabvars(173)%array1, Agrif_tabvar
     &s(175)%array3, Agrif_tabvars(177)%array2, Agrif_tabvars(179)%array
     &2, Agrif_tabvars(181)%array1, Agrif_tabvars(183)%array1, Agrif_tab
     &vars(185)%array1, Agrif_tabvars(187)%array3, Agrif_tabvars(189)%ar
     &ray2, Agrif_tabvars(191)%array2, Agrif_tabvars(193)%array1, Agrif_
     &tabvars(195)%array1, Agrif_tabvars(197)%array1, Agrif_tabvars(199)
     &%array3, Agrif_tabvars(201)%array2, Agrif_tabvars(203)%array2, Agr
     &if_tabvars(205)%array1, Agrif_tabvars(207)%array1, Agrif_tabvars(2
     &09)%array1, Agrif_tabvars(214)%array3, Agrif_tabvars(284)%array2, 
     &Agrif_tabvars(215)%array2, Agrif_tabvars(269)%array2, Agrif_tabvar
     &s(270)%array2, Agrif_tabvars(271)%array2, Agrif_tabvars(272)%array
     &2, Agrif_tabvars(246)%array2, Agrif_tabvars(247)%array2, Agrif_tab
     &vars(248)%array2, Agrif_tabvars(249)%array2, Agrif_tabvars(225)%ar
     &ray3, Agrif_tabvars(226)%array3, Agrif_tabvars(227)%array3, Agrif_
     &tabvars(228)%array3, Agrif_tabvars(229)%array3, Agrif_tabvars(230)
     &%array3, Agrif_tabvars(231)%array3, Agrif_tabvars(232)%array2, Agr
     &if_tabvars(233)%array2, Agrif_tabvars(234)%array2, Agrif_tabvars(2
     &35)%array2, Agrif_tabvars(236)%array2, Agrif_tabvars(237)%array2, 
     &Agrif_tabvars(238)%array2, Agrif_tabvars(239)%array2, Agrif_tabvar
     &s(240)%array3, Agrif_tabvars(245)%array4, Agrif_tabvars(276)%array
     &3, Agrif_tabvars(250)%array3, Agrif_tabvars(255)%array3, Agrif_tab
     &vars(256)%array3, Agrif_tabvars(285)%array2, Agrif_tabvars(286)%ar
     &ray2, Agrif_tabvars(287)%array2, Agrif_tabvars(290)%array2, Agrif_
     &tabvars(257)%array2, Agrif_tabvars(258)%array2, Agrif_tabvars(262)
     &%array3, Agrif_tabvars(263)%array3, Agrif_tabvars(264)%array2, Agr
     &if_tabvars(265)%array2, Agrif_tabvars(281)%array4, Agrif_tabvars(1
     &48)%array5, Agrif_tabvars_l(5)%larray1, Agrif_tabvars(278)%array3,
     & Agrif_tabvars(279)%array3, Agrif_tabvars(141)%array3, Agrif_tabva
     &rs(277)%array3, Agrif_tabvars(282)%array3, Agrif_tabvars(283)%arra
     &y3, Agrif_tabvars(280)%array3, Agrif_tabvars(139)%array3, Agrif_ta
     &bvars(149)%array4, Agrif_tabvars(150)%array4, Agrif_tabvars(151)%a
     &rray2, Agrif_tabvars(152)%array2, Agrif_tabvars(153)%array3, Agrif
     &_tabvars(154)%array3, Agrif_tabvars(155)%array2, Agrif_tabvars(156
     &)%array3, Agrif_tabvars(157)%array3, Agrif_tabvars(159)%array2, Ag
     &rif_tabvars(291)%array2, Agrif_tabvars(292)%array2, Agrif_tabvars(
     &293)%array2, Agrif_tabvars(73)%array3, Agrif_tabvars(74)%array3, A
     &grif_tabvars(75)%array3, Agrif_tabvars_l(13)%larray0, Agrif_tabvar
     &s_i(8)%iarray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%l
     &array0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_init_arrays_tile.h"
      module climat_ssh


        implicit none
        public :: Alloc_agrif_climat_ssh
      contains
      subroutine Alloc_agrif_climat_ssh(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_climat_ssh.h"
      end subroutine Alloc_agrif_climat_ssh
      end module climat_ssh
      module srfdat1


        implicit none
        public :: Alloc_agrif_srfdat1
      contains
      subroutine Alloc_agrif_srfdat1(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_srfdat1.h"
      end subroutine Alloc_agrif_srfdat1
      end module srfdat1
      module srfdat_srflxg


        implicit none
        public :: Alloc_agrif_srfdat_srflxg
      contains
      subroutine Alloc_agrif_srfdat_srflxg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_srfdat_srflxg.h"
      end subroutine Alloc_agrif_srfdat_srflxg
      end module srfdat_srflxg
      module forces_srflx


        implicit none
        public :: Alloc_agrif_forces_srflx
      contains
      subroutine Alloc_agrif_forces_srflx(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_srflx.h"
      end subroutine Alloc_agrif_forces_srflx
      end module forces_srflx
      module bulkdat2_wnd


        implicit none
        public :: Alloc_agrif_bulkdat2_wnd
      contains
      subroutine Alloc_agrif_bulkdat2_wnd(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat2_wnd.h"
      end subroutine Alloc_agrif_bulkdat2_wnd
      end module bulkdat2_wnd
      module bulkdat2_tim


        implicit none
        public :: Alloc_agrif_bulkdat2_tim
      contains
      subroutine Alloc_agrif_bulkdat2_tim(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat2_tim.h"
      end subroutine Alloc_agrif_bulkdat2_tim
      end module bulkdat2_tim
      module bulkdat2_for


        implicit none
        public :: Alloc_agrif_bulkdat2_for
      contains
      subroutine Alloc_agrif_bulkdat2_for(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat2_for.h"
      end subroutine Alloc_agrif_bulkdat2_for
      end module bulkdat2_for
      module bulkdat_wspdg


        implicit none
        public :: Alloc_agrif_bulkdat_wspdg
      contains
      subroutine Alloc_agrif_bulkdat_wspdg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat_wspdg.h"
      end subroutine Alloc_agrif_bulkdat_wspdg
      end module bulkdat_wspdg
      module bulk_vwndg


        implicit none
        public :: Alloc_agrif_bulk_vwndg
      contains
      subroutine Alloc_agrif_bulk_vwndg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_vwndg.h"
      end subroutine Alloc_agrif_bulk_vwndg
      end module bulk_vwndg
      module bulk_uwndg


        implicit none
        public :: Alloc_agrif_bulk_uwndg
      contains
      subroutine Alloc_agrif_bulk_uwndg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_uwndg.h"
      end subroutine Alloc_agrif_bulk_uwndg
      end module bulk_uwndg
      module bulkdat_radswg


        implicit none
        public :: Alloc_agrif_bulkdat_radswg
      contains
      subroutine Alloc_agrif_bulkdat_radswg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat_radswg.h"
      end subroutine Alloc_agrif_bulkdat_radswg
      end module bulkdat_radswg
      module bulkdat_radlwg


        implicit none
        public :: Alloc_agrif_bulkdat_radlwg
      contains
      subroutine Alloc_agrif_bulkdat_radlwg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat_radlwg.h"
      end subroutine Alloc_agrif_bulkdat_radlwg
      end module bulkdat_radlwg
      module bulkdat_prateg


        implicit none
        public :: Alloc_agrif_bulkdat_prateg
      contains
      subroutine Alloc_agrif_bulkdat_prateg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat_prateg.h"
      end subroutine Alloc_agrif_bulkdat_prateg
      end module bulkdat_prateg
      module bulkdat_rhumg


        implicit none
        public :: Alloc_agrif_bulkdat_rhumg
      contains
      subroutine Alloc_agrif_bulkdat_rhumg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat_rhumg.h"
      end subroutine Alloc_agrif_bulkdat_rhumg
      end module bulkdat_rhumg
      module bulkdat_tairg


        implicit none
        public :: Alloc_agrif_bulkdat_tairg
      contains
      subroutine Alloc_agrif_bulkdat_tairg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulkdat_tairg.h"
      end subroutine Alloc_agrif_bulkdat_tairg
      end module bulkdat_tairg
      module bulk_vwnd


        implicit none
        public :: Alloc_agrif_bulk_vwnd
      contains
      subroutine Alloc_agrif_bulk_vwnd(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_vwnd.h"
      end subroutine Alloc_agrif_bulk_vwnd
      end module bulk_vwnd
      module bulk_uwnd


        implicit none
        public :: Alloc_agrif_bulk_uwnd
      contains
      subroutine Alloc_agrif_bulk_uwnd(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_uwnd.h"
      end subroutine Alloc_agrif_bulk_uwnd
      end module bulk_uwnd
      module bulk_wspd


        implicit none
        public :: Alloc_agrif_bulk_wspd
      contains
      subroutine Alloc_agrif_bulk_wspd(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_wspd.h"
      end subroutine Alloc_agrif_bulk_wspd
      end module bulk_wspd
      module bulk_radsw


        implicit none
        public :: Alloc_agrif_bulk_radsw
      contains
      subroutine Alloc_agrif_bulk_radsw(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_radsw.h"
      end subroutine Alloc_agrif_bulk_radsw
      end module bulk_radsw
      module bulk_radlw


        implicit none
        public :: Alloc_agrif_bulk_radlw
      contains
      subroutine Alloc_agrif_bulk_radlw(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_radlw.h"
      end subroutine Alloc_agrif_bulk_radlw
      end module bulk_radlw
      module bulk_prate


        implicit none
        public :: Alloc_agrif_bulk_prate
      contains
      subroutine Alloc_agrif_bulk_prate(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_prate.h"
      end subroutine Alloc_agrif_bulk_prate
      end module bulk_prate
      module bulk_rhum


        implicit none
        public :: Alloc_agrif_bulk_rhum
      contains
      subroutine Alloc_agrif_bulk_rhum(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_rhum.h"
      end subroutine Alloc_agrif_bulk_rhum
      end module bulk_rhum
      module bulk_tair


        implicit none
        public :: Alloc_agrif_bulk_tair
      contains
      subroutine Alloc_agrif_bulk_tair(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bulk_tair.h"
      end subroutine Alloc_agrif_bulk_tair
      end module bulk_tair
      module forces_btflx


        implicit none
        public :: Alloc_agrif_forces_btflx
      contains
      subroutine Alloc_agrif_forces_btflx(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_btflx.h"
      end subroutine Alloc_agrif_forces_btflx
      end module forces_btflx
      module stfdat4


        implicit none
        public :: Alloc_agrif_stfdat4
      contains
      subroutine Alloc_agrif_stfdat4(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_stfdat4.h"
      end subroutine Alloc_agrif_stfdat4
      end module stfdat4
      module stfdat3


        implicit none
        public :: Alloc_agrif_stfdat3
      contains
      subroutine Alloc_agrif_stfdat3(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_stfdat3.h"
      end subroutine Alloc_agrif_stfdat3
      end module stfdat3
      module stfdat1


        implicit none
        public :: Alloc_agrif_stfdat1
      contains
      subroutine Alloc_agrif_stfdat1(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_stfdat1.h"
      end subroutine Alloc_agrif_stfdat1
      end module stfdat1
      module stfdat_stflxg


        implicit none
        public :: Alloc_agrif_stfdat_stflxg
      contains
      subroutine Alloc_agrif_stfdat_stflxg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_stfdat_stflxg.h"
      end subroutine Alloc_agrif_stfdat_stflxg
      end module stfdat_stflxg
      module frc_shflx_sen


        implicit none
        public :: Alloc_agrif_frc_shflx_sen
      contains
      subroutine Alloc_agrif_frc_shflx_sen(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_frc_shflx_sen.h"
      end subroutine Alloc_agrif_frc_shflx_sen
      end module frc_shflx_sen
      module frc_shflx_lat


        implicit none
        public :: Alloc_agrif_frc_shflx_lat
      contains
      subroutine Alloc_agrif_frc_shflx_lat(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_frc_shflx_lat.h"
      end subroutine Alloc_agrif_frc_shflx_lat
      end module frc_shflx_lat
      module frc_shflx_rlw


        implicit none
        public :: Alloc_agrif_frc_shflx_rlw
      contains
      subroutine Alloc_agrif_frc_shflx_rlw(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_frc_shflx_rlw.h"
      end subroutine Alloc_agrif_frc_shflx_rlw
      end module frc_shflx_rlw
      module frc_shflx_rsw


        implicit none
        public :: Alloc_agrif_frc_shflx_rsw
      contains
      subroutine Alloc_agrif_frc_shflx_rsw(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_frc_shflx_rsw.h"
      end subroutine Alloc_agrif_frc_shflx_rsw
      end module frc_shflx_rsw
      module forces_stflx


        implicit none
        public :: Alloc_agrif_forces_stflx
      contains
      subroutine Alloc_agrif_forces_stflx(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_stflx.h"
      end subroutine Alloc_agrif_forces_stflx
      end module forces_stflx
      module bmsdat1


        implicit none
        public :: Alloc_agrif_bmsdat1
      contains
      subroutine Alloc_agrif_bmsdat1(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bmsdat1.h"
      end subroutine Alloc_agrif_bmsdat1
      end module bmsdat1
      module bmsdat_bvstrg


        implicit none
        public :: Alloc_agrif_bmsdat_bvstrg
      contains
      subroutine Alloc_agrif_bmsdat_bvstrg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bmsdat_bvstrg.h"
      end subroutine Alloc_agrif_bmsdat_bvstrg
      end module bmsdat_bvstrg
      module bmsdat_bustrg


        implicit none
        public :: Alloc_agrif_bmsdat_bustrg
      contains
      subroutine Alloc_agrif_bmsdat_bustrg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bmsdat_bustrg.h"
      end subroutine Alloc_agrif_bmsdat_bustrg
      end module bmsdat_bustrg
      module forces_bvstr


        implicit none
        public :: Alloc_agrif_forces_bvstr
      contains
      subroutine Alloc_agrif_forces_bvstr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_bvstr.h"
      end subroutine Alloc_agrif_forces_bvstr
      end module forces_bvstr
      module forces_bustr


        implicit none
        public :: Alloc_agrif_forces_bustr
      contains
      subroutine Alloc_agrif_forces_bustr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_bustr.h"
      end subroutine Alloc_agrif_forces_bustr
      end module forces_bustr
      module smsdat1


        implicit none
        public :: Alloc_agrif_smsdat1
      contains
      subroutine Alloc_agrif_smsdat1(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_smsdat1.h"
      end subroutine Alloc_agrif_smsdat1
      end module smsdat1
      module smsdat_svstrg


        implicit none
        public :: Alloc_agrif_smsdat_svstrg
      contains
      subroutine Alloc_agrif_smsdat_svstrg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_smsdat_svstrg.h"
      end subroutine Alloc_agrif_smsdat_svstrg
      end module smsdat_svstrg
      module smsdat_sustrg


        implicit none
        public :: Alloc_agrif_smsdat_sustrg
      contains
      subroutine Alloc_agrif_smsdat_sustrg(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_smsdat_sustrg.h"
      end subroutine Alloc_agrif_smsdat_sustrg
      end module smsdat_sustrg
      module forces_svstr


        implicit none
        public :: Alloc_agrif_forces_svstr
      contains
      subroutine Alloc_agrif_forces_svstr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_svstr.h"
      end subroutine Alloc_agrif_forces_svstr
      end module forces_svstr
      module forces_sustr


        implicit none
        public :: Alloc_agrif_forces_sustr
      contains
      subroutine Alloc_agrif_forces_sustr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_forces_sustr.h"
      end subroutine Alloc_agrif_forces_sustr
      end module forces_sustr
      module avg_Akt


        implicit none
        public :: Alloc_agrif_avg_Akt
      contains
      subroutine Alloc_agrif_avg_Akt(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_Akt.h"
      end subroutine Alloc_agrif_avg_Akt
      end module avg_Akt
      module avg_Akv


        implicit none
        public :: Alloc_agrif_avg_Akv
      contains
      subroutine Alloc_agrif_avg_Akv(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_Akv.h"
      end subroutine Alloc_agrif_avg_Akv
      end module avg_Akv
      module avg_diff3d


        implicit none
        public :: Alloc_agrif_avg_diff3d
      contains
      subroutine Alloc_agrif_avg_diff3d(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_diff3d.h"
      end subroutine Alloc_agrif_avg_diff3d
      end module avg_diff3d
      module avg_shflx_sen


        implicit none
        public :: Alloc_agrif_avg_shflx_sen
      contains
      subroutine Alloc_agrif_avg_shflx_sen(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_shflx_sen.h"
      end subroutine Alloc_agrif_avg_shflx_sen
      end module avg_shflx_sen
      module avg_shflx_lat


        implicit none
        public :: Alloc_agrif_avg_shflx_lat
      contains
      subroutine Alloc_agrif_avg_shflx_lat(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_shflx_lat.h"
      end subroutine Alloc_agrif_avg_shflx_lat
      end module avg_shflx_lat
      module avg_shflx_rlw


        implicit none
        public :: Alloc_agrif_avg_shflx_rlw
      contains
      subroutine Alloc_agrif_avg_shflx_rlw(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_shflx_rlw.h"
      end subroutine Alloc_agrif_avg_shflx_rlw
      end module avg_shflx_rlw
      module avg_shflx_rsw


        implicit none
        public :: Alloc_agrif_avg_shflx_rsw
      contains
      subroutine Alloc_agrif_avg_shflx_rsw(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_shflx_rsw.h"
      end subroutine Alloc_agrif_avg_shflx_rsw
      end module avg_shflx_rsw
      module avg_hbbl


        implicit none
        public :: Alloc_agrif_avg_hbbl
      contains
      subroutine Alloc_agrif_avg_hbbl(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_hbbl.h"
      end subroutine Alloc_agrif_avg_hbbl
      end module avg_hbbl
      module avg_hbl


        implicit none
        public :: Alloc_agrif_avg_hbl
      contains
      subroutine Alloc_agrif_avg_hbl(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_hbl.h"
      end subroutine Alloc_agrif_avg_hbl
      end module avg_hbl
      module avg_btflx


        implicit none
        public :: Alloc_agrif_avg_btflx
      contains
      subroutine Alloc_agrif_avg_btflx(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_btflx.h"
      end subroutine Alloc_agrif_avg_btflx
      end module avg_btflx
      module avg_stflx


        implicit none
        public :: Alloc_agrif_avg_stflx
      contains
      subroutine Alloc_agrif_avg_stflx(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_stflx.h"
      end subroutine Alloc_agrif_avg_stflx
      end module avg_stflx
      module avg_w


        implicit none
        public :: Alloc_agrif_avg_w
      contains
      subroutine Alloc_agrif_avg_w(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_w.h"
      end subroutine Alloc_agrif_avg_w
      end module avg_w
      module avg_bvf


        implicit none
        public :: Alloc_agrif_avg_bvf
      contains
      subroutine Alloc_agrif_avg_bvf(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_bvf.h"
      end subroutine Alloc_agrif_avg_bvf
      end module avg_bvf
      module avg_omega


        implicit none
        public :: Alloc_agrif_avg_omega
      contains
      subroutine Alloc_agrif_avg_omega(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_omega.h"
      end subroutine Alloc_agrif_avg_omega
      end module avg_omega
      module avg_rho


        implicit none
        public :: Alloc_agrif_avg_rho
      contains
      subroutine Alloc_agrif_avg_rho(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_rho.h"
      end subroutine Alloc_agrif_avg_rho
      end module avg_rho
      module avg_t


        implicit none
        public :: Alloc_agrif_avg_t
      contains
      subroutine Alloc_agrif_avg_t(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_t.h"
      end subroutine Alloc_agrif_avg_t
      end module avg_t
      module avg_v


        implicit none
        public :: Alloc_agrif_avg_v
      contains
      subroutine Alloc_agrif_avg_v(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_v.h"
      end subroutine Alloc_agrif_avg_v
      end module avg_v
      module avg_u


        implicit none
        public :: Alloc_agrif_avg_u
      contains
      subroutine Alloc_agrif_avg_u(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_u.h"
      end subroutine Alloc_agrif_avg_u
      end module avg_u
      module avg_srflx


        implicit none
        public :: Alloc_agrif_avg_srflx
      contains
      subroutine Alloc_agrif_avg_srflx(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_srflx.h"
      end subroutine Alloc_agrif_avg_srflx
      end module avg_srflx
      module avg_svstr


        implicit none
        public :: Alloc_agrif_avg_svstr
      contains
      subroutine Alloc_agrif_avg_svstr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_svstr.h"
      end subroutine Alloc_agrif_avg_svstr
      end module avg_svstr
      module avg_sustr


        implicit none
        public :: Alloc_agrif_avg_sustr
      contains
      subroutine Alloc_agrif_avg_sustr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_sustr.h"
      end subroutine Alloc_agrif_avg_sustr
      end module avg_sustr
      module avg_wstr


        implicit none
        public :: Alloc_agrif_avg_wstr
      contains
      subroutine Alloc_agrif_avg_wstr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_wstr.h"
      end subroutine Alloc_agrif_avg_wstr
      end module avg_wstr
      module avg_bvstr


        implicit none
        public :: Alloc_agrif_avg_bvstr
      contains
      subroutine Alloc_agrif_avg_bvstr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_bvstr.h"
      end subroutine Alloc_agrif_avg_bvstr
      end module avg_bvstr
      module avg_bustr


        implicit none
        public :: Alloc_agrif_avg_bustr
      contains
      subroutine Alloc_agrif_avg_bustr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_bustr.h"
      end subroutine Alloc_agrif_avg_bustr
      end module avg_bustr
      module avg_bostr


        implicit none
        public :: Alloc_agrif_avg_bostr
      contains
      subroutine Alloc_agrif_avg_bostr(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_bostr.h"
      end subroutine Alloc_agrif_avg_bostr
      end module avg_bostr
      module avg_vbar


        implicit none
        public :: Alloc_agrif_avg_vbar
      contains
      subroutine Alloc_agrif_avg_vbar(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_vbar.h"
      end subroutine Alloc_agrif_avg_vbar
      end module avg_vbar
      module avg_ubar


        implicit none
        public :: Alloc_agrif_avg_ubar
      contains
      subroutine Alloc_agrif_avg_ubar(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_ubar.h"
      end subroutine Alloc_agrif_avg_ubar
      end module avg_ubar
      module avg_zeta


        implicit none
        public :: Alloc_agrif_avg_zeta
      contains
      subroutine Alloc_agrif_avg_zeta(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_avg_zeta.h"
      end subroutine Alloc_agrif_avg_zeta
      end module avg_zeta
